xxQS_NAME_Sxx_SCHEDD(8)

NAME
xxqs_name_sxx_schedd - xxQS_NAMExx job scheduling agent

SYNOPSIS
xxqs_name_sxx_schedd [ -help ]

DESCRIPTION
xxqs_name_sxx_schedd computes the scheduling decisions in an xxQS_NAMExx cluster. The information necessary for the decision is retrieved from via an event interface. After applying the scheduling algorithm, xxqs_name_sxx_schedd communicates the scheduling decision back to again via the xxQS_NAMExx GDI. In order to trigger an xxqs_name_sxx_schedd scheduling run, samples changes in the cluster status and periodically notifies xxqs_name_sxx_schedd

By using the -tsm option of the command, xxqs_name_sxx_schedd can be forced to print trace messages of its next scheduling run to the file <xxqs_name_sxx_root>/<cell>/common/schedd_runlog. The messages indicate the reasons for jobs and queues not being selected in that run

OPTIONS

-help
    Print version number of the scheduler.

ENVIRONMENTAL VARIABLES

xxQS_NAME_Sxx_ROOT
    Specifies the location of the xxQS_NAMExx standard configuration files.

xxQS_NAME_Sxx_CELL
    If set, specifies the default xxQS_NAMExx cell. To address a xxQS_NAMExx cell xxqs_name_sxx_schedd uses (in the order of precedence):

        The name of the cell specified in the environment variable xxQS_NAME_Sxx_CELL, if it is set.

        The name of the default cell, i.e. default.

xxQS_NAME_Sxx_DEBUG_LEVEL
    If set, specifies that debug information should be written to stderr. In addition the level of detail in which debug information is generated is defined.

xxQS_NAME_Sxx_QMASTER_PORT
    If set, specifies the tcp port on which is expected to listen for communication requests. Most installations will use a services map entry for the service "sge_qmaster" instead to define that port.

FILES
<xxqs_name_sxx_root>/<cell>/spool/qmaster/schedd
	xxqs_name_sxx_schedd spool directory
<xxqs_name_sxx_root>/<cell>/common/sched_runlog
	xxqs_name_sxx_schedd trace information
<xxqs_name_sxx_root>/<cell>/common/sched_configuration
	xxqs_name_sxx_schedd configuration
See for details on the scheduler configuration file.

SEE ALSO

COPYRIGHT
See for a full statement of rights and permissions.